@import '../../../../styles/mixins';

:host {
  @include generic-layout(100%);
  align-items: center;
}

header {
  width: 100%;
  max-width: $max-width;
  margin-bottom: $margin;
  height: 400px;
  position: relative;
  background: center url('/assets/images/noImage.png');
  background-size: cover;
  background-color: $color-secondary;
  @include flex-center-layout;
  &::after {
    content: '';
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba($color-primary, $alpha: 0.8);
  }

  .status {
    position: absolute;
    z-index: 3;
    right: $margin;
    top: 0;
    transform: translateY(-50%);
    @include generic-layout(auto, true);

    & > span + span {
      margin-left: $margin;
    }
    span {
      border-radius: 100%;
      @include flex-center-layout;
      background-color: $color-secondary;
      padding: 6px;
      width: 20px;
      height: 20px;
      cursor: default;
    }
    &__love {
      color: #ff4444;
    }
    &__wish {
      color: #44abff;
    }
    &__inProgress {
      color: #44ff4d;
    }
  }

  img {
    position: absolute;
    z-index: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .container {
    position: relative;
    z-index: 2;
    @include flex-center-layout;
    border: 1px solid $color-border;
    border-radius: $border-radius;
    padding: $padding;
    box-sizing: border-box;
    flex-direction: column;
    width: 100%;
    height: 100%;
    text-align: center;
    h1,
    h2 {
      @include ellipsis;
      max-width: 100%;
    }
    &.ghost {
      sfl-ghost-line {
        max-width: 250px;
      }
    }
  }
}

section {
  width: 100%;
  max-width: $max-width;
  .container + .container {
    margin-top: $margin;
  }
  .container {
    background-color: $color-secondary;
    border-radius: $border-radius;
    border: 1px solid $color-border;
    padding: $padding;
    box-sizing: border-box;

    p {
      color: $color-white;
      line-height: 1.6rem;
      font-size: 1.1rem;
    }

    mat-chip-list {
      mat-chip {
        font-size: 14px;
        font-family: 'TitilliumWeb';
        cursor: pointer;
      }
    }
  }
}
